#
# spec file for package ghc-smallcheck
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name smallcheck
Name:           ghc-%{pkg_name}
Version:        1.1.5
Release:        lp152.3.6
Summary:        A property-based testing library
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-logict-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-rpm-macros

%description
SmallCheck is a testing library that allows to verify properties for all test
cases up to some depth. The test cases are generated automatically by
SmallCheck.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update smallcheck to version 1.1.5.
  Version 1.1.5
  - ------------
  * Add `limit :: Monad m => Int -> Series m a -> Series m a`
  * Add `genericSeries` and `genericCoseries`, so that you can use the generic
    implementations more flexibly. Previously, the generic implementation was
    only avaialable as the default method for `series`/`coseries` but not as
    standalone functions.
* Mon May 14 2018 psimons@suse.com
- Update smallcheck to version 1.1.4.
  * Add instances for fixed-width Int and Word types (Int8, Word8 etc.)
  * Fix compatibility with GHC 7.8 and older
  * Add `Serial` and `CoSerial` instances for `Word` and `Natural`
  * Export the `test` function
  * Add a `listSeries` function
* Mon May  8 2017 psimons@suse.com
- Clean up spec file. Only cosmetic; no functional change.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.1.1 revision 1 with cabal2obs.
